Bug 989242 - Workspaces Are Randomly Reset To One At Log-On
Workspaces Are Randomly Reset To One At Log-On
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-settings (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-28 12:36 EDT by KitchM
Modified: 2015-02-18 09:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 09:02:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.xsession-errors file as requested (17.66 KB, text/x-emacs-lisp)
2013-08-02 14:17 EDT, KitchM
no flags Details

  None (edit)
Description KitchM 2013-07-28 12:36:33 EDT
Description of problem:I always set my workspaces to 6, but sometimes the settings change back to only 1 workspace after booting up again.


Version-Release number of selected component (if applicable):
Xfce 4.10.1


How reproducible:
Randomly


Steps to Reproduce:
1. Set number of workspaces
2. Reboot computer
3. See changed number

Actual results:
Does not save settings

Expected results:
Should always keep setting until changed by user

Additional info:
Comment 1 Kevin Fenzi 2013-07-28 12:46:32 EDT
The only time I have seen this in the past is when xfwm4 crashes, you logout and save the session without xfwm4 in it. However if this was the case you would not be able to move windows around or see any decorations of them, etc. 

Are you seeing anything like that? Or everything is normal except for the number of workspaces?
Comment 2 KitchM 2013-07-28 15:02:33 EDT
Nothing at all.  And I agree that it doesn't make any sense.  There is no crash happening at all.  The system shuts down when I want it to, and it comes back up when I turn the computer on.  No problems.

Every time I boot up and log onto the desktop, everything looks fine.  But when I move my mouse to the panel where the Workspace Swicher is, it sometimes shows only one workspace available.  I then right-click on that and select Workspace Settings to change it back as it should be.  And that function works correctly as well.

My assumptions on this is that something does not save settings on exit, and/or the installation of Compiz causes this to happen.  Keep in mind that Compiz does work correctly for me, so I do not use it.  But my best recollection is that this problem cropped up when first Compiz was installed from yumex.

I will now uninstall it and see if the problem reoccurs over the next week or so.  Then I will report back here with the results.

However, Xfce should never allow another app to change its settings regardless.  And that is what is bothering me.

Thanks.
Comment 3 Kevin Fenzi 2013-07-28 15:07:27 EDT
I completely agree. ;) 

Does: 

xfconf-query -c xfwm4 -p /general/workspace_count

show the number of workspaces you set? 
If you logout (saving session) and then run the query again, does it start showing 1?
Comment 4 KitchM 2013-07-29 11:30:55 EDT
I had removed compiz from the system.  After a couple reboots, the workspaces were set to 1 again.

At that time, your command returned a 1.  After changing the workspaces back to 6, I rebooted and ran the command again and got 6.

I do not save sessions on logout or restart because I want a fresh environment each time, and I don't want odd processes to be hanging around from the last time.

But at least we know it is not compiz.
Comment 5 KitchM 2013-07-29 15:36:55 EDT
I just was involved in trying to get the kernel to see my scanner.  During the process, the system completely froze and required a computer reset.

Upon reboot, the environment was back to 1 workspace.

Evidently, the settings are not saved when set.  That is even more serious.  One does not want the settings to be saved only on shutdown or logout, since anything may happen to mess that up.

I know that Mozilla apps automaticaly save as they go, so system crashes never affect them.  Xfce should do the same.
Comment 6 Kevin Fenzi 2013-07-29 16:58:11 EDT
Settings are saved when made. ;) 

There is something else going on here... I will try and see if I can track it down.
Comment 7 KitchM 2013-07-29 20:19:41 EDT
What can I do to help?
Comment 8 KitchM 2013-08-02 13:27:43 EDT
I am now finding that it is happening most of the time, if that helps at all.  Maybe 80%.
Comment 9 Kevin Fenzi 2013-08-02 14:02:05 EDT
Looks like it might be this upstream bug: 

https://bugzilla.xfce.org/show_bug.cgi?id=7757

(not that there are any answers there). 

Some things to try to help isolate it: 

1. If you create a brand new user, login as them and set workspaces and logout and back on several times, does it keep them ok?

2. Can you attach your ~/.xsession-errors file from a session where it dropped back to 1 on your current user? Perhaps something will stand out there.
Comment 10 KitchM 2013-08-02 14:17:21 EDT
Created attachment 782118 [details]
.xsession-errors file as requested
Comment 11 KitchM 2013-08-02 14:18:16 EDT
Thank you.  Please find file attached.  I will report on the other after I try it.
Comment 12 KitchM 2013-08-02 14:34:03 EDT
I must report that I haven't a clue as to how to add another user.  There was nothing available at the logon screen and there was nothing in xfce settings either.
Comment 13 Kevin Fenzi 2013-08-02 17:42:15 EDT
http://docs.fedoraproject.org/en-US/Fedora/18/html-single/System_Administrators_Guide/index.html#ch-Managing_Users_and_Groups

should have details. There's a gui tool, although I personally use the command line ones.
Comment 14 KitchM 2013-08-08 12:36:58 EDT
I thought Xfce had a gui for that.
Comment 15 Kevin Fenzi 2013-08-08 22:24:21 EDT
Not that I know of.
Comment 16 KitchM 2013-08-09 00:14:06 EDT
Bummer.

Anyway, I found system-config-users that does the job.  It is also called Users and Groups under the Administration menu.

So I got a new one set up and will report back.
Comment 17 KitchM 2013-08-09 12:59:09 EDT
Okay, I have been able to address the test in comment 9, number 1.

It opened to the Xfce desktop to a setting of 4 workspaces.  I changed it to 3 and logged out and in several times.  I also shut down and logged back in.  No change occurred.

However, on my main desktop, the settings haven't changed in a couple days.  So who can tell what is sgoing on.  I sure can't.

There is a choice on exit that has a checkbox whether or not a person wants to save the session for next time.  I usually set this to unchecked because I always want a fresh start.  Does this have anything to do with it?

Thanks.
Comment 18 KitchM 2013-08-12 21:59:36 EDT
Just an update.

I was able to see it happening on my regular logon again.  I then logged off and logged on as the test user.  That one was okay and as it should be.

That would seem to indicate something with my everyday logon environment, but I am at a loss as to how to figure it out.

Thanks.
Comment 19 Kevin Fenzi 2013-08-18 12:45:44 EDT
I've poked the upstream bug as well, hopefully someone there can see whats going on.
Comment 20 KitchM 2013-08-18 19:53:17 EDT
Thanks, Kevin.  I really appreciate your efforts.
Comment 21 Fedora End Of Life 2015-01-09 17:14:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2015-02-18 09:02:49 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.